Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class XMLEntityManager.Entity

    java.lang.Object
      weblogic.apache.xerces.impl.XMLEntityManager.Entity

Direct Known Subclasses:
  XMLEntityManager.ExternalEntity, XMLEntityManager.InternalEntity, XMLEntityManager.ScannedEntity

Enclosing class:
  XMLEntityManager

protected abstract static class XMLEntityManager.Entity
extends Object

Entity information.

Field Summary
`String` | `name` Entity name.

Constructor Summary
`XMLEntityManager.Entity()` Default constructor.
`XMLEntityManager.Entity(String name)` Constructs an entity.

Method Summary
`void` | `clear()` Clears the entity.
`abstract boolean` | `isExternal()` Returns true if this is an external entity.
`abstract boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  Entity name.

Constructor Detail

### XMLEntityManager.Entity

    public XMLEntityManager.Entity()

  Default constructor.

### XMLEntityManager.Entity

    public XMLEntityManager.Entity(String name)

  Constructs an entity.

Method Detail

### clear

    public void clear()

  Clears the entity.

### isExternal

    public abstract boolean isExternal()

  Returns true if this is an external entity.

### isUnparsed

    public abstract boolean isUnparsed()

  Returns true if this is an unparsed entity.

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD